Upstream information

CVE-2021-42096 at MITRE

Description

GNU Mailman before 2.1.35 may allow remote Privilege Escalation. A certain csrf_token value is derived from the admin password, and may be useful in conducting a brute-force attack against that password.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  SUSE
Base Score 5.3
Vector CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Network
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact None
Availability Impact None
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1191959 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Package Hub for SUSE Linux Enterprise 15 SP2
  • mailman >= 2.1.35-bp152.7.6.1
Patchnames:
openSUSE-2021-1452
openSUSE Leap 15.2
  • mailman >= 2.1.35-lp152.7.6.1
Patchnames:
openSUSE-2021-1436


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 mailman Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 mailman Affected
SUSE Linux Enterprise Point of Service 11 SP3 mailman Affected
SUSE Linux Enterprise Server 11 SP1 mailman Affected
SUSE Linux Enterprise Server 11 SP3 mailman Affected
SUSE Linux Enterprise Server 11 SP4 mailman Affected
SUSE Linux Enterprise Server 11 SP4 LTSS mailman Affected
SUSE Linux Enterprise Server 12 SP2 BCL mailman Affected
SUSE Linux Enterprise Server 12 SP3 BCL mailman Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS mailman Affected
SUSE Linux Enterprise Server 12 SP3 LTSS mailman Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS mailman Affected
SUSE Linux Enterprise Server 12 SP4 LTSS mailman Affected
SUSE Linux Enterprise Server 12 SP5 mailman Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 mailman Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 mailman Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 mailman Affected
SUSE OpenStack Cloud 8 mailman Affected
SUSE OpenStack Cloud 9 mailman Affected
SUSE OpenStack Cloud Crowbar 8 mailman Affected
SUSE OpenStack Cloud Crowbar 9 mailman Affected